%define oname   oa-enterprise

Name:       ruby-%{oname}
Version:    0.2.2
Release:    %mkrel 2
Summary:    Enterprise strategies for OmniAuth
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/intridea/omniauth
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     oa-enterprise-0.2.2-no-strict-dep-on-net-ldap.patch
BuildRequires: rubygems
BuildRequires:   rubygem(rake)
BuildRequires:   rubygem(mg)
BuildRequires:   rubygem(rspec)
BuildRequires:   rubygem(webmock)
BuildRequires:   rubygem(rack-test)
BuildRequires:   rubygem(json_pure) >= 1.5.1
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Enterprise strategies for OmniAuth.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0
gzip metadata

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.2.2-2.mga1
+ Revision: 87199
- add patch to remove strict dependency on net-ldap (works as well with 0.2.2)

* Sun Apr 17 2011 shikamaru <shikamaru> 0.2.2-1.mga1
+ Revision: 87130
- imported package ruby-oa-enterprise


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.2.2-1
- Initial package
